---
title: "Verify a user's email address"
url: https://docs.gleap.ai/en/reference/rest-api/post-users-verify
method: POST
path: "/users/verify"
api: "API Reference"
tag: "User"
operationId: "Verify"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Verify a user's email address

`POST https://api.gleap.io/v3/users/verify`

Confirm a new user's email address with the 6-digit code sent at signup. The code expires 10 minutes after it was issued. On success any pending invitations for that email are accepted and a JWT plus the confirmed user is returned. Rate limited to 30 requests per hour per IP and 5 per 10 minutes per email address.

## Request body (`application/json`, required)

- `code` (string, required)
- `email` (string, required)

## Example request

```bash
curl --request POST \
  --url https://api.gleap.io/v3/users/verify \
  --header 'Content-Type: application/json' \
  --data '{
  "code": "<code>",
  "email": "<email>"
}'
```

## Responses

### 200 (`application/json`)

Ok
